diff --git a/integrationtests/test.sh b/integrationtests/test.sh
index a56b758421a059a0cc3461c08600c13ffd93705c..b78584158bed95bbe10bf853d52b6dd007e781f5 100755
--- a/integrationtests/test.sh
+++ b/integrationtests/test.sh
@@ -20,10 +20,12 @@ echo "Testing the crawler database"
 python3 -m pytest test_crawler_with_cfoods.py
 echo "make a change"
 pushd extroot
+set +e
 egrep -liRZ 'A description of another example' . | xargs -0 -l sed -i -e 's/A description of another example/A description of this example/g'
 # remove a file to check that this does not lead to a crawler crash
 mv DataAnalysis/2010_TestProject/2019-02-03_something/README.xlsx DataAnalysis/2010_TestProject/2019-02-03_something/README.xlsx_back
 popd
+set -e
 echo "run crawler"
 ./crawl.py  / | tee $OUT
 # rename the moved file
diff --git a/src/caosadvancedtools/crawler.py b/src/caosadvancedtools/crawler.py
index 0a36284a7aac3a2775d598ab6816cb974e0a87ce..c26c681e8e0231c63ac105af0642a387b2e3e0c5 100644
--- a/src/caosadvancedtools/crawler.py
+++ b/src/caosadvancedtools/crawler.py
@@ -607,10 +607,11 @@ carefully and if the changes are ok, click on the following link:
             logger.debug("No new entities to be inserted.")
         else:
             try:
-                logger.info(
-                    "Inserting {} Records...".format(
-                        len(missing_identifiables)))
-                guard.safe_insert(missing_identifiables, unique=False)
+                if len(missing_identifiables) > 0:
+                    logger.info(
+                        "Inserting {} Records...".format(
+                            len(missing_identifiables)))
+                    guard.safe_insert(missing_identifiables, unique=False)
             except Exception as e:
                 DataModelProblems.evaluate_exception(e)